cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
2529
Views
15
Helpful
8
Replies

Configuring BGP on 4948

tdale1987
Level 1
Level 1

Hello,

I have a 4948 running bootflash:cat4500-entservicesk9-mz.150-2.SG11.bin

ARIN just provided me my ASN and im trying to setup BGP or attempt to see how to set it up. In the first step im already at a road block.

hostname(config)#router bgp ?
  <1-65535>  Autonomous system number

My issue is my ASN is over 65535 as we all know those numbers are all taken. I converted my number with the decimal using http://submit.apnic.net/cgi-bin/convert-asn.pl

The issue i have now is it wont take it.

I get the following error:

hostname(config)#router bgp 1.11
                                                  ^
% Invalid input detected at '^' marker.

I'm running a 15.x iOS image so why isnt it accepting it. Can't figure this out. I never setup BGP before so be gentle haha.

Thanks in advance!

1 Accepted Solution

Accepted Solutions

Tom

Congratulations on finding the answer to your own problem. And thanks for posting back to the forum confirming that Jon pointed you in the right direction. +5 for you.

HTH

Rick

HTH

Rick

View solution in original post

8 Replies 8

johnd2310
Level 8
Level 8

Hi,

Have you guys tried adding the following command to your bgp configuration:

bgp asnotation dot

thanks

John

**Please rate posts you find helpful**

John,

(config)#bgp asnotation dot
                        ^
% Invalid input detected at '^' marker.

(config)#router bgp asnotation dot
                                  ^
% Invalid input detected at '^' marker.

Its not letting me setup the bgp because i cannot input my as as it is higher than what its allowing me: <1-65535>.

How can i add that to my BGP config if this is my first BGP profile.

Thanks,

Tom

Tom

The first mention of that feature for your switch is in the following release notes -

http://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst4500/release/note/OL_26677-01.html

so looks like you need to upgrade.

Jon

Jon,

This is for the 4948E. I have the non E series. as you can see in my post im running:

cat4500-entservicesk9-mz.150-2.SG11.bin

if i had the E series i would be running 'cat4500e'

According to Cisco's website these are what i can have:

15.0.2-SG11(MD)
12.2.54-SG1(ED)
12.2.31-SGA11(ED)

These are the "latest releases" for the 4948. Any help on what i need would be greatly appreciated!

Thanks,

Tom

Tom

I think you may be out of luck because as far as I can tell the same applies to those versions of software  ie. you need a later release.

However I cannot open all the release notes for the versions you list for some reason so here is the link -

http://www.cisco.com/c/en/us/support/switches/catalyst-4500-series-switches/products-release-notes-list.html

and then you can search for "BGP".

I don't think you will find any mention of that feature until you check the release notes for version 15.1(1)SG but you say you cannot use that version with your switch.

Jon

Jon,

Bad news, 4-byte ASNs is NOT supported by my switch.

4948 according to the cisco feature list is not listed.Oh cisco why :(

Thanks,

Tom

Tom

Congratulations on finding the answer to your own problem. And thanks for posting back to the forum confirming that Jon pointed you in the right direction. +5 for you.

HTH

Rick

HTH

Rick

Everyone thank you!

I was able to make a ticket with ARIN and switch my 4-byte ASN for a 2-byte ASN. This solved my issue with BGP but if i was able to switch my ASN i would of had to buy a new switch to do BGP.

Thanks again!

Review Cisco Networking for a $25 gift card